LinuxQMISDK: _packetSrvStatus Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
_packetSrvStatus Struct Reference

## Data Fields
qaQmiInterfaceInfo * | pQmiInterfaceInfo
BYTE | connStatus
BYTE | reconfigReqd
WORD | sessionEndReason
WORD | verboseSessnEndReasonType
WORD | verboseSessnEndReason
BYTE | ipFamily
WORD | techName
BYTE | bearerID

## Detailed Description

Contains the parameters passed for SLQSSetPacketSrvStatusCallback by the device.

Parameters

  pQmiInterfaceInfo | See qaQmiInterfaceInfo for more information
  connStatus | Current Link Status 1 - Disconnected 2 - Connected 3 - Suspended 4 - Authenticating
  reconfigReqd | Indicates if the network interface on the host needs to be reconfigured 0 - No need to reconfigure 1 - Reconfiguration required
  sessionEndReason | See qaGobiApiTableCallEndReasons.h for Call End Reason, 0xFFFF means invalid value
  verboseSessnEndReasonType | Call End Reason Type 0 - Unspecified 1 - Mobile IP 2 - Internal 3 - Call Manager defined 6 - 3GPP Specification defined 7 - PPP 8 - EHRPD 9 - IPv6 0xFFFF - invalid value
  verboseSessnEndReason | See qaGobiApiTableCallEndReasons.h for verbose Call End Reason. The values depend on verboseSessnEndReasonType parameter 0xFFFF means invalid value
  ipFamily | IP Family of the packet data connection 4 - IPv4 6 - IPv6 0xFF - invalid value
  techName | Technology name of the packet data connection. 32767 - CDMA 32764 - UMTS 30592 - EPC 30590 - EMBMS 30584 - Modem Link Local 0xFFFF - invalid value EPC is a logical interface to support LTE/eHRPD handoff. Modem Link is an interface for transferring data between entities on the AP and modem.
  bearerID | Bearer ID (3GPP) or RLP ID (3GPP2) of the packet data connection 0xFF means invalid value

Note
  Any parameter not returned by the device is returned as its maximum unsigned value by the callback.

## Field Documentation

BYTE _packetSrvStatus::bearerID

BYTE _packetSrvStatus::connStatus

BYTE _packetSrvStatus::ipFamily

qaQmiInterfaceInfo* _packetSrvStatus::pQmiInterfaceInfo

BYTE _packetSrvStatus::reconfigReqd

WORD _packetSrvStatus::sessionEndReason

WORD _packetSrvStatus::techName

WORD _packetSrvStatus::verboseSessnEndReason

WORD _packetSrvStatus::verboseSessnEndReasonType